<?php
session_start();
require 'conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['treinar'])) {
    $item = $_POST['item']; // item a treinar.. atk/ def
     
$personagem = $_SESSION['personagem'];
$treinando = "treinandoDEF";

$paralisado = date('Y-m-d H:i:s', strtotime('+7 minutes'));



        // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET situacao = :treinando, paralisado = :paralisado WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    
$stmt->bindParam(':treinando', $treinando, PDO::PARAM_STR);
    $stmt->bindParam(':paralisado', $paralisado, PDO::PARAM_STR);
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
   
    
    if ($stmt->execute()) {
    $_SESSION['msg'] = "Você e seus soldados, começaram a treinar defesa, aguarde até finalizar o treinamento";
    header("Location: dashboardmed.php");
    exit; // Certifique-se de usar exit para interromper o script após o redirecionamento
} else {
    echo "Erro ao entrar em serviço.";
}

}

?>